Subject: RE: Cygwin Telnet Configuration
From: Troy Noble <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 26 Jul 2001 08:18:26 -0600

I've had luck using the following in my .profile on my Unix boxes:

if [ "X${TERM}X" = "XcygwinX" ]; then TERM=ansi; export TERM; fi

Of course on non-Linux systems you won't get color highlighting,
since the normal "ansi" terminal on solaris and other commercial
Unix systems I've used typically doesn't enable color by default.

To get color on such systems you'll likely need to get a recent copy
of rxvt sources, look in the etc subdirectory for the rxvt.terminfo
file, and follow the instructions for running tic to get
rxvt into your terminfo database (you'll need to be root to do so).
Or if it's really old unix, edit your /etc/termcap file to add
the contents of rxvt.termcap.

Then you can set TERM=rxvt to enable the ANSI color codes.

Troy

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]
Sent: Thursday, July 26, 2001 7:57 AM
To: [email-masked]
Subject: Cygwin Telnet Configuration

First let me say Thanks for creating such a wonderful Unix toolset for
Windows. I am a DBA/Developer who works
a lot on Unix and Windows NT. This makes things so much easier.

I am having a problem using telnet via Cygwin on Windows NT 4.0 service
pack 6a. It looks like a configuration problem.
If I telnet into an HP-UX machine using telnet the HP-UX box cannot tell
what terminal type that I have. Vi and other programs
won't allow me to scroll back and forth. If I telnet in using M$ telnet
program I don't get that problem. I am using Cygwin 1.3.1.

Once I telnet and login I get the following:

Type cygwin unknown

from the server. Is there something that I should set in my profile on the
HP to get around this.

the output from my running cygcheck is:

---snip

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/